curl --request GET \
--url https://api.getmembrane.com/integrations/{idOrKey} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getmembrane.com/integrations/{idOrKey}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmembrane.com/integrations/{idOrKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": "<string>",
"uuid": "<string>",
"key": "<string>",
"description": "<string>",
"meta": {},
"state": "BUILDING",
"errors": [
{}
],
"revision": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"archivedAt": "<string>",
"isDeactivated": true,
"isReadOnly": true,
"logoUri": "<string>",
"connectorId": "<string>",
"connectorVersion": "<string>",
"oAuthCallbackUri": "<string>",
"parameters": "<unknown>",
"hasMissingParameters": true,
"hasDocumentation": true,
"hasUdm": true,
"externalAppId": "<string>",
"appUuid": "<string>",
"authType": "integration-app-token",
"optionsConfig": {},
"spec": "<unknown>",
"appUri": "<string>",
"isCustom": true
}get-integration
Read a single integration by id, uuid, or key.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Integration id, uuid, or key
Query Parameters
Response
Read a single integration by id, uuid, or key.
Display name. Always present in API responses (filled by API if not set on create).
Stable UUID. Generated if omitted on create and unique across elements of this type.
Stable reference key. Unique per parent/integration scope and generated from name if omitted on create.
Optional human-readable description.
Optional key-value metadata.
Show child attributes
Show child attributes
Current lifecycle or health state (e.g. READY, SETUP_FAILED, CONFIGURATION_ERROR, BUILDING). Set by the engine during setup and validation.
BUILDING, CLIENT_ACTION_REQUIRED, CONFIGURATION_ERROR, SETUP_FAILED, READY, DISCONNECTING Validation or setup errors when state is not READY.
Opaque revision token; changes on each update. Used for optimistic concurrency.
ISO date when the element was created.
ISO date when the element was last updated.
When true, the element cannot be modified (e.g. published package elements or elements from another workspace).
Resolved app logo for this element (integration -> connector -> external app -> favicon).
[INTERNAL] Deprecated: Use externalAppId instead
integration-app-token, membrane-token, oauth2, oauth1, client-credentials, proxy, oauth-client Show child attributes
Show child attributes
Marks integrations derived from non-public connectors or external apps created in this workspace.